Subject: Re: [ANNOUNCE] GIT 1.5.3-rc4

From: Steven Grimm <[email-masked]>
Date: Sat, 04 Aug 2007 18:55:26 +0800

Sam Ravnborg wrote:
> Never looked at Ascii-doc... but how about finding the loopholes
> in Ascii-doc to make it 10x faster?
> That would benefit a larger user-base than just doing-it-ourself.
>   

Because AsciiDoc is only half of the toolchain we use. (Though in your 
defense, I made the mistake of only mentioning AsciiDoc by name, rather 
than "the AsciiDoc toolchain.") We run asciidoc's output through xmlto, 
which is just as slow and is a highly general piece of software for 
doing arbitrary transformations of XML documents. I won't say it's 
impossible to speed up xmlto as well, of course, but it's probably an 
order of magnitude more work than implementing a new parser/renderer for 
our .txt files.

-Steve